Users Update current user profile
PUT
/iam/api/v1/users/me

Authentication

API Key (BearerAuth)

  • Header: Authorization

Request Body

Update input

Required

avatar_urlstring

namestring

Example:

{
  "avatar_url": "string",
  "name": "string"
}

Responses

200
OK

Response Fields:

  • auth_provider (string)

  • created_at (string)

  • email (string)

  • email_verified (boolean)

  • id (string)

  • last_login_at (string)

  • name (string)

  • profile_picture_url (string)

  • role (object)

  • status (string)

  • updated_at (string)

  • user_type (string)

Example:

{
  "auth_provider": "email",
  "created_at": "string",
  "email": "string",
  "email_verified": true,
  "id": "string",
  "last_login_at": "string",
  "name": "string",
  "profile_picture_url": "string",
  "role": {
    "description": "string",
    "id": "string",
    "is_system": true,
    "name": "string",
    "permissions": [
      {
        "action": "string",
        "code": "string",
        "description": "string",
        "entity": "string",
        "id": "string",
        "service": "string"
      }
    ],
    "resource_type": "string"
  },
  "status": "active",
  "updated_at": "string",
  "user_type": "customer"
}
400
Bad Request

Example:

{
  "key": "value"
}
401
Unauthorized

Example:

{
  "key": "value"
}